Bug 1254886 - Huawei E3372 does not work [NEEDINFO]
Huawei E3372 does not work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 1254906 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 03:55 EDT by Harald Mueller
Modified: 2015-12-06 05:16 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:21:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
journalctl output with Networkmanager debug output (45.12 KB, text/plain)
2015-08-19 03:55 EDT, Harald Mueller
no flags Details
output of journalctl -f after USB device attached (103.34 KB, text/plain)
2015-09-17 14:18 EDT, Harald Mueller
no flags Details
screenshot (341.39 KB, image/png)
2015-09-21 16:38 EDT, Harald Mueller
no flags Details
journalctl -f log (12.82 KB, text/plain)
2015-09-21 16:45 EDT, Harald Mueller
no flags Details

  None (edit)
Description Harald Mueller 2015-08-19 03:55:38 EDT
Created attachment 1064648 [details]
journalctl output with Networkmanager debug output

Description of problem:

Huawei E3372 (provider telekom) cannot be configured for use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2015-08-19 11:12:19 EDT
Analysis: the modem is connecting, but is not replying to DHCP requests to configure the network interface it exposes.  It doesn't look like a new problem either:

http://lists.freedesktop.org/archives/modemmanager-devel/2014-October/001576.html

and I'm not sure there's a solution yet.
Comment 2 Dan Williams 2015-08-19 14:32:24 EDT
In the mean time, could you install these packages and give them a shot?

http://people.redhat.com/dcbw/ModemManager/rh1254886/

Grab them, then in the directory where they exist do:

rpm -Fvh *.rpm

and then 'killall -TERM ModemManager' and try to reconnect.
Comment 3 Dan Williams 2015-08-20 11:39:25 EDT
Removing the mistaken private group flags...
Comment 4 Dan Williams 2015-08-20 11:39:41 EDT
*** Bug 1254906 has been marked as a duplicate of this bug. ***
Comment 5 Dan Williams 2015-08-20 12:03:45 EDT
Could you try this test build of ModemManager for me?  Regardless of whether they work or fail, please grab the logs like you have above.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10766210

Grab the right packages (probably x86_64) from that build, and "rpm -Fvh *.rpm" in the directory where you have them.  Then 'killall -TERM ModemManager' and retry the connection.
Comment 6 Dan Williams 2015-08-20 12:04:32 EDT
Hah, I already posted the testing packages.  Well, either the people.redhat.com or the koji link will do, they are the same changes.  Thanks!
Comment 7 Harald Mueller 2015-08-21 01:20:10 EDT
Hi Dan,

I tried the release and installed

ModemManager-1.4.11-1.1.fc22.x86_64.rpm
ModemManager-debuginfo-1.4.11-1.1.fc22.x86_64.rpm
ModemManager-devel-1.4.11-1.1.fc22.x86_64.rpm
ModemManager-glib-1.4.11-1.1.fc22.x86_64.rpm
ModemManager-glib-devel-1.4.11-1.1.fc22.x86_64.rpm
ModemManager-vala-1.4.11-1.1.fc22.x86_64.rpm

now the USB-stick does not get recognized as a modem anymore. I'd say worse than before....

# lsusb

Bus 002 Device 007: ID 12d1:14fe Huawei Technologies Co., Ltd. Modem (Mass Storage Mode)

and stays this way..


journalctl attached.
Comment 8 Harald Mueller 2015-08-21 01:22:42 EDT
ug 20 20:57:10 dellFSL kernel: usb 2-1.2: USB disconnect, device number 8
Aug 20 20:57:10 dellFSL systemd-udevd[578]: error opening USB device 'descriptors' file
Aug 20 20:57:40 dellFSL gnome-session[1898]: (tracker-miner-fs:2263): Tracker-WARNING **: File 'file:///home/harald/Downloads/journalctlLog.t' has been reenqueued more than 2 times. It will not be indexed.
Aug 20 20:57:51 dellFSL kernel: usb 2-1.2: new high-speed USB device number 9 using ehci-pci
Aug 20 20:57:51 dellFSL kernel: usb 2-1.2: New USB device found, idVendor=12d1, idProduct=14fe
Aug 20 20:57:51 dellFSL kernel: usb 2-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug 20 20:57:51 dellFSL kernel: usb 2-1.2: Product: HUAWEI_MOBILE
Aug 20 20:57:51 dellFSL kernel: usb 2-1.2: Manufacturer: HUAWEI_MOBILE
Aug 20 20:57:51 dellFSL kernel: usb 2-1.2: SerialNumber: 0123456789ABCDEF
Aug 20 20:57:51 dellFSL kernel: usb-storage 2-1.2:1.0: USB Mass Storage device detected
Aug 20 20:57:51 dellFSL kernel: scsi host10: usb-storage 2-1.2:1.0
Aug 20 20:57:51 dellFSL mtp-probe[5185]: checking bus 2, device 9: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2"
Aug 20 20:57:51 dellFSL mtp-probe[5185]: bus: 2, device: 9 was not an MTP device
Aug 20 20:57:52 dellFSL kernel: scsi 10:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
Aug 20 20:57:52 dellFSL kernel: scsi 10:0:0:1: Direct-Access     HUAWEI   TF CARD Storage  2.31 PQ: 0 ANSI: 2
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] scsi-1 drive
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: Attached scsi CD-ROM sr1
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: Attached scsi generic sg3 type 5
Aug 20 20:57:52 dellFSL kernel: sd 10:0:0:1: Attached scsi generic sg4 type 0
Aug 20 20:57:52 dellFSL kernel: sd 10:0:0:1: [sdc] Attached SCSI removable disk
Aug 20 20:57:52 dellFSL systemd-udevd[578]: error: /dev/sdc: No medium found
Aug 20 20:57:52 dellFSL systemd-udevd[578]: error: /dev/sdc: No medium found
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] Sense Key : Medium Error [current]
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] Add. Sense: Unrecovered read error
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] CDB: Read(10) 28 00 00 00 91 fe 00 00 02 00
Aug 20 20:57:52 dellFSL kernel: blk_update_request: critical medium error, dev sr1, sector 149496
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] Sense Key : Medium Error [current]
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] Add. Sense: Unrecovered read error
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] CDB: Read(10) 28 00 00 00 91 fe 00 00 02 00
Aug 20 20:57:52 dellFSL kernel: blk_update_request: critical medium error, dev sr1, sector 149496
Aug 20 20:57:52 dellFSL kernel: Buffer I/O error on dev sr1, logical block 18687, async page read
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] Sense Key : Medium Error [current]
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] Add. Sense: Unrecovered read error
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] CDB: Read(10) 28 00 00 00 91 fc 00 00 02 00
Aug 20 20:57:52 dellFSL kernel: blk_update_request: critical medium error, dev sr1, sector 149488
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] Sense Key : Medium Error [current]
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] Add. Sense: Unrecovered read error
Aug 20 20:57:52 dellFSL kernel: sr 10:0:0:0: [sr1] CDB: Read(10) 28 00 00 00 91 fc 00 00 02 00
Aug 20 20:57:52 dellFSL kernel: blk_update_request: critical medium error, dev sr1, sector 149488
Aug 20 20:57:52 dellFSL kernel: Buffer I/O error on dev sr1, logical block 18686, async page read
Comment 9 Dan Williams 2015-09-01 12:37:06 EDT
Those errors are coming from the device itself when it's first found by the kernel, and shouldn't be due to anything ModemManager is doing.  It doesn't look like the device ever gets to the point of switching to modem mode and exposing serial ports.  Did you update the kernel at some point too?
Comment 10 Harald Mueller 2015-09-17 14:18:01 EDT
Created attachment 1074542 [details]
output of journalctl -f after USB device attached
Comment 11 Harald Mueller 2015-09-17 14:21:58 EDT
Sorry for the delay

I updated the system (4.1.6-201.fc22.x86_64). The journalctl log looks a lot better  (my impression) as I see lots of things that seem to work, but finally the connection is not esthablished .


Any idea.

Regards,
Harald Mueller
Comment 12 Dan Williams 2015-09-17 15:57:53 EDT
So now the device gets switched and says it's connected, but DHCP doesn't work on the device.

To confirm, are you using the testing ModemManager package that I posted with these logs from comment 11?
Comment 13 Harald Mueller 2015-09-21 16:35:16 EDT
I now installed ModemManager again from http://people.redhat.com/dcbw/ModemManager/rh1254886/

Even better: I get the field stranght bars top right in the status bar, but a browsers do not get data. The GUI tells me 'connected' to telekom.de (see attached screenshot) , everything looks fine: but still no internet access.
Comment 14 Harald Mueller 2015-09-21 16:38 EDT
Created attachment 1075589 [details]
screenshot
Comment 15 Harald Mueller 2015-09-21 16:45 EDT
Created attachment 1075603 [details]
journalctl -f log
Comment 16 Harald Mueller 2015-09-22 10:50:47 EDT
isn't this now similar to https://bugzilla.redhat.com/show_bug.cgi?id=1234727
like -> same "failed with 'Error resolving 'fedoraproject.org': No address associated with hostname"
Comment 17 Dan Williams 2015-09-22 11:00:35 EDT
So everything looks like it has connected, and ModemManager pulls an IP address out of the modem, but no traffic can pass.  This is sounding more and more like the issues in the kernel driver.

https://forum.openwrt.org/viewtopic.php?pid=273099
https://lwn.net/Articles/572774/

This device might require the huawei_cdc_ncm driver to successfully TX/RX traffic.
Comment 18 Justin M. Forbes 2015-10-20 15:36:16 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 19 Fedora Kernel Team 2015-11-23 12:21:12 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 20 Alexei Panov 2015-12-06 05:16:48 EST
My  Huawei E3372 also doesn't connect. This bug has affected only in Fedora 23 Workstation. Fedora 23 XFCE works fine with modem.

Packages from http://people.redhat.com/dcbw/ModemManager/rh1254886/ fixed this bug for me.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.